BasicDomainHandler (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class BasicDomainHandler

    java.lang.Object
      org.apache.http.impl.cookie.BasicDomainHandler

All Implemented Interfaces:
  CommonCookieAttributeHandler, CookieAttributeHandler

Direct Known Subclasses:
  NetscapeDomainHandler

    @Contract(threading=IMMUTABLE)
    public class BasicDomainHandler

extends Object
implements CommonCookieAttributeHandler

Since:
  4.0

Constructor Summary
`BasicDomainHandler()`

Method Summary
`String` | `getAttributeName()`
`boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
`void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
`void` | `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDomainHandler

    public BasicDomainHandler()

Method Detail

### parse

    public void parse(SetCookie cookie,
                      String value)
               throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Specified by:
    `parse` in interface `CookieAttributeHandler`
  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

### validate

    public void validate(Cookie cookie,
                         CookieOrigin origin)
                  throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Peforms cookie validation for the given attribute value.

  Specified by:
    `validate` in interface `CookieAttributeHandler`
  Parameters:
    `cookie` - `Cookie` to validate
    `origin` - the cookie source to validate against
  Throws:
    `MalformedCookieException` - if cookie validation fails for this attribute

### match

    public boolean match(Cookie cookie,
                         CookieOrigin origin)

  Description copied from interface: `CookieAttributeHandler`
  Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.

  Specified by:
    `match` in interface `CookieAttributeHandler`
  Parameters:
    `cookie` - `Cookie` to match
    `origin` - the cookie source to match against
  Returns:
    `true` if the match is successful; `false` otherwise

### getAttributeName

    public String getAttributeName()

  Specified by:
    `getAttributeName` in interface `CommonCookieAttributeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.